aboutsummaryrefslogtreecommitdiff
path: root/games
diff options
context:
space:
mode:
authorMatt Dinslage <daedra1980@gmail.com>2022-03-31 20:13:54 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-02 18:19:19 +0700
commitb67b1b683f30b140bdee8240e69fe42aec06cadc (patch)
treed94940c75dfa4c186027796b51a4b3fe56e7b06a /games
parent67e5dc74475d99f343ec893d9282a66faa0dfc03 (diff)
games/epsxe: Added (PSX Emulator)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/epsxe/README3
-rw-r--r--games/epsxe/doinst.sh9
-rw-r--r--games/epsxe/epsxe.SlackBuild128
-rw-r--r--games/epsxe/epsxe.desktop9
-rw-r--r--games/epsxe/epsxe.info18
-rw-r--r--games/epsxe/epsxe.sh4
-rw-r--r--games/epsxe/slack-desc19
7 files changed, 190 insertions, 0 deletions
diff --git a/games/epsxe/README b/games/epsxe/README
new file mode 100644
index 000000000000..c79e091f4ca9
--- /dev/null
+++ b/games/epsxe/README
@@ -0,0 +1,3 @@
+ePSXe is a PlayStation video game console emulator for x86-based PC
+hardware with Microsoft Windows and Linux, as well as devices running
+Android.
diff --git a/games/epsxe/doinst.sh b/games/epsxe/doinst.sh
new file mode 100644
index 000000000000..3e5691a052b5
--- /dev/null
+++ b/games/epsxe/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/epsxe/epsxe.SlackBuild b/games/epsxe/epsxe.SlackBuild
new file mode 100644
index 000000000000..acbd1f5ffebe
--- /dev/null
+++ b/games/epsxe/epsxe.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/bash
+
+# Slackware build script for epsxe
+
+# Copyright 2021 Eric Fernandes Ferreira <candelabrus@gmail.com>
+# Copyright 2022 Matt Dinslage <daedra1980@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Matt Dinslage:
+# - add 32bit support
+# - SBo submission compliance
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=epsxe
+VERSION=${VERSION:-2.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+tmp=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ TARGET="_x64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -d $PRGNAM-$VERSION $CWD/ePSXe205linux$TARGET.zip
+unzip -d $PRGNAM-$VERSION/shaders $CWD/shaders.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install binary
+mkdir -p $PKG/usr/share/games/$PRGNAM
+install -Dm 755 e***e$TARGET $PKG/usr/share/games/$PRGNAM/$PRGNAM
+mkdir -p $PKG/usr/bin
+install -Dm 755 $CWD/$PRGNAM.sh $PKG/usr/bin/$PRGNAM
+cp -r shaders $PKG/usr/share/games/$PRGNAM
+
+if [ ! "$ARCH" = "x86_64" ]; then
+ sed -i 's,/usr/lib64,/usr/lib,g' $PKG/usr/bin/$PRGNAM
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Add application launcher
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Add icons
+mkdir -p $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/icons/hicolor/scalable/apps
+convert -background none $CWD/$PRGNAM.svg -resize 256x256 $PRGNAM.png
+cp $PRGNAM.png $PKG/usr/share/pixmaps
+cp $CWD/$PRGNAM.svg $PKG/usr/share/icons/hicolor/scalable/apps
+
+# epsxe requires libtinfo and an olderer version of libcrypto from 14.2
+tar xf $CWD/openssl-1.0.2u-$ARCH-2_slack14.2.txz lib${LIBDIRSUFFIX}/libcrypto.so.1.0.0
+ln -sf /lib${LIBDIRSUFFIX}/libncurses.so.5.9 $PKG/usr/share/games/$PRGNAM/libtinfo.so.5
+install -Dm644 lib${LIBDIRSUFFIX}/libcrypto.so.1.0.0 $PKG/usr/share/games/$PRGNAM/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/epsxe/epsxe.desktop b/games/epsxe/epsxe.desktop
new file mode 100644
index 000000000000..31a422a22472
--- /dev/null
+++ b/games/epsxe/epsxe.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Name=ePSXe
+GenericName=ePSXe
+Comment=Enhanced PSX emulator
+Icon=/usr/share/pixmaps/epsxe.png
+Exec=/usr/bin/epsxe
+Terminal=false
+Categories=Game;
diff --git a/games/epsxe/epsxe.info b/games/epsxe/epsxe.info
new file mode 100644
index 000000000000..9c36a92b5872
--- /dev/null
+++ b/games/epsxe/epsxe.info
@@ -0,0 +1,18 @@
+PRGNAM="epsxe"
+VERSION="2.0.5"
+HOMEPAGE="https://www.epsxe.com/"
+DOWNLOAD="http://www.epsxe.com/files/ePSXe205linux.zip \
+ http://www.epsxe.com/files/shaders.zip \
+ https://slackware.osuosl.org/slackware-14.2/patches/packages/openssl-1.0.2u-i586-2_slack14.2.txz"
+MD5SUM="3e1976822eb260722b31c9f24cb1d6e1 \
+ a863740899adb064b8a28c3fa47d5280 \
+ 063b2d0c5248c2306aae496954d7be32"
+DOWNLOAD_x86_64="http://www.epsxe.com/files/ePSXe205linux_x64.zip \
+ http://www.epsxe.com/files/shaders.zip \
+ https://slackware.osuosl.org/slackware64-14.2/patches/packages/openssl-1.0.2u-x86_64-2_slack14.2.txz"
+MD5SUM_x86_64="79fefeb4bff26bf1d374befb35b390df \
+ a863740899adb064b8a28c3fa47d5280 \
+ 7150f2b77416562d565782b68a20b7ac"
+REQUIRES=""
+MAINTAINER="Matt Dinslage"
+EMAIL="daedra1980@gmail.com"
diff --git a/games/epsxe/epsxe.sh b/games/epsxe/epsxe.sh
new file mode 100644
index 000000000000..c66fc0361cec
--- /dev/null
+++ b/games/epsxe/epsxe.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+
+
+LD_LIBRARY_PATH+=:/usr/share/games/epsxe LD_PRELOAD=/usr/lib64/libcurl.so.4 /usr/share/games/epsxe/epsxe "$@"
diff --git a/games/epsxe/slack-desc b/games/epsxe/slack-desc
new file mode 100644
index 000000000000..4b1f88bc888f
--- /dev/null
+++ b/games/epsxe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+epsxe: epsxe (PSX Emulator)
+epsxe:
+epsxe: ePSXe is a Sony Playstation emulator for your PC running under
+epsxe: Windows Vista+ or linux. It takes advantage of the popular PSEmu Pro
+epsxe: plugin system.
+epsxe:
+epsxe: Homepage : http://www.epsxe.com/
+epsxe:
+epsxe:
+epsxe:
+epsxe: